Arch Aggiungi

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Add and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語
Arrow-left.svg Arch CutPlane.svg Taglia con un piano Pagina precedente:
Pagina successiva: Rimuovi componente Arch Remove.svg Arrow-right.svg

Arch Add.svg Aggiungi

Nome nel codice
Arch Add
Posizione nel menu
Arch → Aggiungi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Rimuovi


Descrizione

Lo strumento Aggiungi permette di eseguire 4 diversi tipi di operazioni:

  • Aggiungere a un componente di Architettura degli oggetti basati su forme, ad esempio un Arch Wall.svg muro o una Arch Structure.svg struttura. Questi oggetti vengono inseriti nell'elemento Architettura, ed è possibile modificare la loro forma, ma mantenendo le loro caratteristiche di base come la larghezza e l'altezza.
  • Aggiungere componenti di Architettura, quali Arch Wall.svg muri o Arch Structure.svg Strutture, a un oggetto costituito da un gruppo base come il Arch Floor.svg Piano.
  • Aggiungere dei Arch Axis.svg sistemi di assi a oggetti Arch Structure.svg struttura.
  • AAggiungere degli oggetti ai Arch SectionPlane.svg piani di sezione.

La controparte di questo strumento è lo strumento Arch Remove.svg Rimuovi componente.

Arch Add example.jpg

Un box aggiunto a un muro come componente.


Utilizzo

  1. Selezionare gli oggetti da unire. L'ultimo oggetto selezionato è l'oggetto Arch ospite.
  2. Premere il pulsante Arch Add.svg, o usare ArchArch Add.svg Aggiungi componente dal menu principale.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Aggiungi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

addComponents(objectsList, host)
Il frammento di codice riportato sopra aggiunge gli oggetti dati in objectsList all'oggetto host specificato.
Nota: objectsList può essere un singolo oggetto o un elenco di oggetti.

Esempio:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch CutPlane.svg Taglia con un piano Pagina precedente:
Pagina successiva: Rimuovi componente Arch Remove.svg Arrow-right.svg